KS2000 - Configuration Software

BECKHOFF Fieldbus Components

Documentation for

KS2000

Configuration Software for Fieldbus Components

Version: 5.0.0
Date: 2017-07-19


Overview

The KS2000 software tool serves the purpose of configuring, parameterizing and commissioning bus couplers and bus terminals

Configuring

Offline configuring is under construction

P arameterising

KS2000 offers simple access to the parameters of the terminal station: for all bus couplers and all intelligent bus terminals, specific high-level dialogs are available with which the settings can be modified easily.
Alternatively, you have full access to all internal registers of the bus couplers and intelligent terminals. Refer to the technical documentation of the terminals for the meanings of the registers. You will find the technical documentation on the KS200 CD.

Commissioning

The KS2000 software tool makes it easy to commission machine parts or their terminal stations:

  • Configured coupler and terminal settings can be downloaded to the terminal stations.
  • After logging in to the terminal station, it is possible to define settings in couplers and terminals directly 'online'. The same high level dialogs and register access as in the configuration phase are available for this purpose.
  • Changes in the coupler settings do not take effect until after a restart. Such coupler rebooting can be triggered from the KS2000.
  • When 'manufacturer settings’ is selected in the KS2000, after rebooting, the bus coupler again operates with the settings defined in the manufacturer settings.
  • The KS2000 offers access to the process images of the bus couplers. Thus, the coupler's input and output images can be observed by monitoring.
  • For commissioning of the output terminals, process values can be specified in the output image.
  • All possibilities in the 'online mode' can be used in parallel with actual field bus operation of the terminal station. At the same time, it goes without saying that the field bus protocol always has the higher priority.
  • The user interface of the KS2000 software tool is multilingual. The program automatically starts in the respective national language that is set in WindowsNT (if the language is available). The language can also be changed during the run time by selecting the 'Options/Language' menu item. English and German are currently supported.


Included in delivery

Parts

  • CD with the setup file and documentation
  • Data cable to start a communication via the COM-port


What are the System requirements?

System requirements

  • Windows 7 SP1 or Windows 10
  • 25 MB Hard disk space
  • You need the administration rights on your operating system

Supported products

All Beckhoff Bus coupler, produced since October 1996, do support the KS2000:

  • BK2xxx : from EEPROM-Version "BC"
  • BK3xxx : from EEPROM-Version "BF"
  • BK4xxx : from EEPROM-Version "BC"
  • BK5xxx : from EEPROM-Version "BC"
  • BK73xx
  • BK8xxx : from EEPROM-Version "BC"
  • BK9xxx
  • BC3100: from EEPROM-Version "B3"

Please check the link to find out, which firmware version is required to support the special features of the KS2000.


Where to find further information and support

Further information

Further information about the usage of the KS2000 you will find in the following documentation:

  • The KS2000 documentation is split into the parts QuickStart and Reference. Here you will find information from the first steps up to registry communication.
  • Further detailed information you will also find in the hardware documentation

The latest version of all documentation can also be found in the internet. Please use the link to get there (Documentation).

Support

Contact the Support if you still have further questions. These preparation you can do to get a quick and prizes answer from our support:

  • Give a precise description of the error and of your last steps before the error had happened
  • What kind of hardware are you using?
  • What kind of operating system are you using?
  • How are you connected (COM or ADS?
  • What kind of KS2000 software version are you using? (You find this information if you click onto Help in the menu bar and then onto Info)
  • In which order your terminal station is assembled?
  • Which firmware is on the bus coupler or controller? (Further information you will find in supported firmware or graphical view)

Beckhoff Automation GmbH & Co. KG

Huelshorstweg 20, 33415 Verl

Tel.: 05246-963-0

Fax.: 05246-963-149

Email: support@beckhoff.com

Internet: http://www.beckhoff.com


Quickstart

KS2000: Configuration and diagnostics software


How to install the ks2 software

KS2000: Configuration and diagnostics software

How to install the KS2000 software?

System requirements

  • Windows 7 SP1 or Windows 10
  • 25 MB Hard disk space
  • You need the administration rights on your operating system

Installing KS2000 software

step 1: Insert the KS2000 software CD-ROM into your CD-ROM drive. When the KS2000 menu appears, click KS2000.

If the program does not start automatically, start the windows explorer and select the CD-ROM drive. Then double-click ks2000.htm.

step 2: double-click KS2000_v4.exe

step 3: Select the language of the InstallShield Wizard and click Next (Weiter).

The following window will appear.

step 4: Follow the on-screen instructions to complete the setup. When the InstallShield Wizard runs, click Next

step 5: Read and confirm End User License Agreement and click Yes.

step 6: Type in your User Name, the Company Name and the Serial Number. The Serial Number you will find on the cover of your KS2000 software CD-ROM. After you finished click Next.

step 7: Choose a folder to install the KS2000 software. It is recommended to select the default folder. If you want to install the software in a different folder, click Browse and select the folder you want. Click Next.

step 8: The InstallShield Wizard will now start the installation process.

step 9: The installation process is complete. Select Yes, I want to restart my computer now when you want to use the KS2000. Before you click Finish, make sure that all open files are saved because your system is getting rebooted.


KS2000-Zx-USB | USB cable for the connection between PC and fieldbus components

KS2000-Zx-USB

USB cable for the connection between PC and fieldbus components

KS2000-Zx-USB

The further development of PC technology and the establishment of new standards sometimes makes older technologies redundant. One example is the common serial RS232 interface, which is increasingly replaced by USB technology. In line with this development, the USB KS2000 cable is now available.

The KS2000 cable establishes a connection between the fieldbus components and the PC. It can be used for parametering Bus Terminals or Bus Couplers, local diagnostics, forcing Bus Terminal data, monitoring Bus Terminal values, updating firmware and programming Beckhoff mini PLCs via TwinCAT. The USB cable is available in two versions: KS2000-Z2-USB is used for the connection between a PC and a Bus Couplers from the BK, BC and LC series; KS2000-Z3-USB for the connection with Fieldbus Box modules. The USB cable features electrical isolation. Status LEDs indicate whether data are sent or received. On the connected PC the USB cable behaves like a COM port and can therefore be used for all Beckhoff tools using serial communication.
Ordering information | Description
KS2000-Z2-USB | connection cable for KS2000 or TwinCAT for serial conversion from USB for BK, BC, LC Couplers, length 3 m
KS2000-Z3-USB | connection cable for KS2000 or TwinCAT for serial conversion from USB for Fieldbus Box, lenght 3 m
Accessories |
USB driver | KS2000-Z2/Z3-USB cable, USB driver


How to install KS2000 USB driver on Windows 7 ?

KS2000

How to install KS2000 USB drivers on Windows 7 ?

1. First download the KS2000-Zx-USB drivers from Beckhoff's website.
Then connect the KS2000 USB cable with your Personal Computer (PC).

KS2000 Z2 USB

2. After that reports a notification message, that the Windows 7 is
Installing device driver software, but it occurs an error, because Windows 7
don't find the folder of the device driver software.

Installing device driver Software

3. Now we must manual install the drivers software for KS2000 USB cable. First we install the first driver software, that is for USB Serial Converter. Open Device Manager by clicking the Start button, clicking Control Panel,

Control Panel

clicking Hardware and Sound,

Hardware and Sound

and then clicking Device Manager!

Device Manager

4. Right-click the new device KS2000-Zx-USB for which you need a new driver, click Update Driver Software...

Update Driver Software

5. In the next window you have two choices to search for driver Software. We select and click Browse my computer for driver software.

Browse my computer for driver software

6. By Clicking Browse button select the folder for driver software.

Browse to folder for driver software

7. Would you like to install device software? The Windows Security wants a confirmation to install the driver software. Confirm by clicking the Install button.

Click Install

8. Windows has successfully installed the driver software for USB Serial Converter. This is the first driver software installation of two drivers, the next begins with the next step.

Windows has successfully installed your driver software for USB Serial Converter

9. Now open Device Manager again by clicking the Start button, clicking Control Panel, clicking Hardware and Sound, and then clicking Device Manager! There is under Other Devices the second device USB Serial Port, which driver software we now install. Right-click the new device USB Serial Port for which you need a new driver software. Clicking Update Driver Software...

Clicking Update driver Software...

10. Select and click Browse my computer for driver software.

Browse my computer for driver software

11. By Clicking Browse button select the folder for driver software.

Browse to folder for driver software

12. Would you like to install device software? The Windows Security wants a confirmation to install the driver software. Confirm by clicking the Install button.

Click Install

13. Windows has successfully installed the driver software for USB Serial Port.

Windows has successfully installed your driver software for USB Serial Converter

14. Now you see both devices in Device Manager. On the device USB Serial Port you can see which COM port number you can use.

Both devices in Device Manager


How to install KS2000 USB driver on Windows XP?

KS2000

How to install KS2000 USB drivers on Windows XP?

First download the latest KS2000-Zx-USB drivers from Beckhoff's website.

1. Connect the KS2000 USB cable to an unused USB port on your Personal Computer (PC).

KS2000 Z2 USB

2. Found New Hardware Wizard will automatically launch. If there is no available connection to the internet or Windows XP is configured connecting to Windows Update. Select No, not this time from the options and then click the button Next to proceed with the installation.

Installing device driver Software

3. Select Install from a list or specific location (Advanced) and click Next to continue.

Install from a list or specific location (Advanced)

4. Select Search for the best driver in these locations and enter the file path in the combobox or browse to it by clicking the Browse button. Once the file path has been entered in the combobox, click Next to proceed.

Search for the best driver in these loactions

5. If Windows XP is configured to warn when unsigned drivers are about to be installed, the message dialogue Hardware Installation will be displayed unless installing a Microsoft WHQL certified driver. Click on Continue Anyway to continue with the installation. If Windows XP is configured to ignore file signature warnings, no message will appear.

6. Windows XP copies the required driver files.

Windows XP copies...

7. Windows should then display a message indicating that the installation was successful. Click Finish to complete the installation for the first port of the device.

Update Driver Software

8. The Found New Hardware Wizard will launch automatically to install the COM port emulation drivers. Select No, not this time from the options and click Next to proceed with the installation.

Found New Harware Wizard

9. Select Install from a list or specific location (Advanced) and then click Next.

Install from a list or specific location (Advanced)

10. Select Search for the best driver in these locations and enter the file path in the combobox or browse to it by clicking the Browse button. Once the file path has been entered in the combobox, click Next to proceed.

Click Install

11. If Windows XP is configured to warn when unsigned drivers are about to be installed, the message dialogue Hardware Installation will be displayed unless installing a Microsoft WHQL certified driver. Click on Continue Anyway to continue with the installation. If Windows XP is configured to ignore file signature warnings, no message will appear.

13. Windows XP copies the required driver files for KS2000 USB Serial Port.

Windows XP copies...

14. Windows should then display a message indicating that the installation was successful. Click the button Finish to complete the installation for the first port of the device.

Clicking Update driver Software...

15. Open Control Panel\System, then select the Hardware tab and click Device Manager. Now you can see the device appears as a USB Serial Converter and USB Serial Port.

Device Manager


How to connect a Bus Terminal or fbus Box to your computer

KS2000: Configuration and diagnostics software

How to connect a Bus Terminal or Fieldbus Box to a computer?

  1. connect the COM-port adapter to your computer
  2. connect the other adapter to the configuration and programming interface

Beckhoff can only guarantee a successful data exchange with their original data cable!!!

Bus Terminal

Fieldbus Box


How to change the language

The KS2000 is a multilingual software. It provides German and English. The picture shows you where to find the settings to change the language.


Control and configuration menu

This is how the control and configuration menu can look like, when you are online. The menu is designed to control and configure a connected terminal station easily. In the following we will introduce the menu and its general features to you.

If you have a look at the examples you will finde out, that the general look of the menu stays the same. Only specific features change when you connect different kind of Beckhoff components (Bus Terminals or Fieldbus Boxes).

Bus Terminal

1. Save station-settings in file... / Restore station-settings from file...:
With these two functions you can save and restore the station your are connected to.

2. Reports:
This function provides you general information about a terminal station.

  • click mapping and you get the information about the I/O address and bit size of the connected terminals
  • click pice list and you get the information about the position and number of the connected parts
  • click Terminal: Register Documentation to save the register of a terminal into a script file

3. Settings:
This function provides you general information about the settings of a terminal station.

  • click Common: Settings to do the settings for the K-bus, SPS Interface and the Process Data 1 - 4
  • click Common: Local user-mapping to define the specific sequence of your connected terminals
  • click Fieldbus: Settings to do the specific fieldbus configuration
  • click Controller: Settings to do the specific controller configuration (only available when a controller is connected)
  • click Process Data to do a direct configuration of your K-bus I/O process image

4. Tables:
If you want to configure a terminal station directly and without menues, then click tables and a list of different tables will appear. Select the table you want to change and type in the information.
This function should be used only from advanced users!

5. digital Terminals:
From here all digital terminals are listed.

  • click Channel and you will get detailed information about the process

6. analog Terminals:
From here all analog terminals are listed.

  • click Register to do a direct configuration in the register of the terminal
  • click Settings to do a general configuration of the terminal
  • click Process Data and you will get detailed information about the process

7. End terminal

Fieldbus Box

1. Save station-settings in file... / Restore station-settings from file...:
With these two functions you can save and restore the station your are connected to.

2. Reports:
This function provides you general information about the fieldbus box.

  • click mapping and you get the information about the I/O address and bit size of the connected terminals
  • click pice list and you get the information about the position and number of the connected parts
  • click Terminal: Register Documentation to save the register of a terminal into a script file

3. Settings:
This function provides you general information about the settings of the fieldbus box.

  • click Common: Settings to do the settings for the K-bus, SPS Interface and the Process Data 1 - 4
  • click Common: Local user-mapping to define the specific sequence of your connected extension boxes
  • click Fieldbus: Settings to do the specific fieldbus configuration
  • click Process Data to do a direct configuration of your K-bus I/O process image

4. Tables:
If you want to configure a Fieldbus Box directly and without menues, then click tables and a list of different tables will appear. Select the table you want to change and type in the information.
This function should be used only from advanced users!

5. Signal-Channels: I/Os of the (compact, coupler, plc) box

6. digital extension boxes:
From here all digital extension boxes are listed.

  • click Channel and you will get detailed information about the process

7. analog extension boxes:
From here all analog terminals are listed.

  • click Register to do a direct configuration in the register of the extension boxes
  • click Settings to do a general configuration of the extension boxes
  • click ProcData and you will get detailed information about the process


- How to do the view settings?

KS2000: Configuration and diagnostics software

How to do the view settings?

To make it easier to navigate you can activate or deactivate the views Treeview and Reportbox.

There are two ways of changing the views

Select from the tool bar the view buttons.

click onto the buttons to activate or deactivate the view.

step 1: click onto Options in the menu bar.

step 2: Then hover onto View and click onto the view you want to activate or deactivate.


Which firmware support's the new KS2000 features

Please check the list if your firmware is supported when you get the following message:

Bus Coupler / Bus Terminal Controller

Attention The Commissioning Mode requires certain firmware versions on the Bus Coupler or the Bus Terminal Controller. The firmware version is specified at the rear of the Bus Coupler (see example below for CANopen). If required, the firmware can be updated via the serial port (KS2000 cable required) or - depending on the bus system - via the fieldbus. The current firmware versions and the program for the firmware update can be found on our home page at http://www.beckhoff.com.

Fieldbus System | Bus Coupler / Bus Terminal Controller | Firmware version required on the Bus Coupler / Bus Terminal Controller for the Commissioning Mode
Lightbus | BK2020 | in preparation (B1)
Profibus | BK3000 | not supported
 | BK3010 | BA
 | BK3100 | not supported
 | BK3110, BK3120 | BA
 | BK3150 | in preparation (B0)
 | BK3500, BK3520 | BA
 | LC3100 | BA
 | BC3100 | in preparation (C4)
 | BX3100 | in preparation (1.00)
Interbus | BK4020 | not supported
 | BC4000 | not supported
CANopen | BK5120 | B0
 | BX5100 | in preparation (1.00)
DeviceNet | BK5220 | in preparation
ControlNet | BK7000 | BB
Modbus | BK7300 | in preparation (B4)
Sercos | BK7500, BK7520 | not supported
Fip IO | BK7420 | B1
RS485 | BK8000 | not supported
RS232 | BK8100 | not supported
Ethernet | BK9000 | in preparation (B9)
 | BC9000 | in preparation (BA)
USB | BK9500 | not supported
CX | CX1100 | in preparation (B4)

Not listed Bus Coupler and Bus Terminal Controller are not prepared for the Commissioning Mode.

Fieldbus Box

Attention The Commissioning Mode requires certain firmware versions on the Fieldbus Box. The firmware version is specified at the side of the Fieldbus Box. If required, the firmware can be updated via the serial port (KS2000 cable required) or - depending on the bus system - via the fieldbus. The current firmware versions and the program for the firmware update can be found on our home page at http://www.beckhoff.com.

Fieldbus System | Fieldbus Box | Firmware version required on the Fieldbus Box for the Commissioning Mode
Lightbus | IPxxxx-B200 | in preparation
 | IL230x-B200 | in preparation
Profibus | IPxxxx-B31x | in preparation (B5)
 | IL230x-B31x | in preparation (B3)
 | IL230x-C31x | in preparation (B2)
Interbus | IPxxxx-B400 | not supported
 | IL230x-B400 | not supported
CANopen | IPxxxx-B51x | in preparation (C5)
 | IL230x-B51x | in preparation (C5)
DeviceNet | IPxxxx-B52x | in preparation
 | IL230x-B52x | in preparation
Modbus | IPxxxx-B730 | in preparation
 | IL230x-B730 | in preparation
RS485 | IPxxxx-B800 | in preparation
 | IL230x-B800 | in preparation
RS232 | IPxxxx-B810 | in preparation
 | IL230x-B810 | in preparation
Ethernet | IPxxxx-B900 | in preparation
 | IL230x-B900 | in preparation


The KS2000 graphic display

KS2000: Configuration and diagnostics software

The KS2000 graphical display

The KS2000 graphical display provides you an overview of the most important information of a terminal station.

1) Graphic display of the connected coupler/controller and terminals

2) Gives you information about the:
- Firmware
- IP-Adr
- Process data

3) The mouse pointer will change when you hover onto the outputs. With a double click you can force a value to this channel.

Example:


The KS2000 mapping report

The Mapping Report provides information about:

- The I/O address of all terminals
- The I/O bit size of all terminals
- The bit summ of the I/O
- The possibility to print or export the mapping.

Example:


The KS2000 Part list

The Part List gives an overview about:

- The order of the connected coupler/controller and terminals
- The quantity of the connected coupler/controller and terminals

Example:


Communication via a COM port

In the following we will show you how to establish a communication via a COM port.

step 1: Click on Options in the menu bar. Then hover onto Communication channel and do a double click on via COM...

The following menu appears:

step 2: Click the pull-down menu. It could be, that there are more than one COM-port is available. Choose the COM-port your data cable is connected to.

step 3: Change the baud rate to 19200 if something else is selected. Therefor click the pull-down menu and choose 19200.

step 4: To setup a peer to peer connection select RS232. Therefor click the pull-down menu and choose RS232.

step 5: Leave the settings if you don't use a BK8xxx or BC8xxx.

If you use a BK8xxx or BC8xxx:

  1. check the address of the BK or BC you are connected to
  2. Enter the address into the the Multipoint input box (therefor see the example)

Example: Addess = 11

step 6: If you have done all the settings click Test...

The reason why you could get the following message:

  • The bus terminal does not have power
  • You are not using the original Beckhoff data cable
  • The data cable is wrongly connected
  • The settings are not correctly

Check everything once again and click Test...

When you get this message, then the test was a success.

step 7: click OK to save the settings.

step 8: Go online


Communication via ADS

In the following we will show you how to establish a communication via ADS.

step 1: Click on Options in the menu bar. Then hover onto Communication channel and do a double click on via ADS...

step 2: The following menu appears. Click onto the pull down menu (1) and choose between User Defined or devices from the list (e.g. BC9000-113: 172.16.17.113.1.1).

  • Device from the list: All devices in the are defined in the AMS router of TwinCAT. When you select a device, then the AmsServerNetId (2) will automatically be entered. Do not change the AdsPort (3) "100". Click onto Test... (4) to check your entries.
  • User Defined: Select User Defined, if the device you want to connect is not entered in TwinCAT. Then you have to type in manually the AmsSerNetId (2). When you are finished click onto Test... (4) to check your entries.

The reason why you could get the following message:

  • The bus terminal does not have power
  • You have not established a remote connection
  • The AmsServerNetId you typed in is incorrect or you have selected the wrong remote connection

Check everything once again and click Test...

step 3: The test was successful, when you get this message. Click OK to close the message box.

step 4: click OK to save the settings.

step 5: Go online


Communication with a CX

In the following we will show you how to establish a communication with a CX. Therefore, you need the AmsServerNetId, IP-Adress and Ads-Port of your target system.

step 1: Write down the Port Address from the TwinCAT System Manager of the CX you want to connect .

step 2: Start the Config Mode.

step 3: Click onto the pull down menu (1) and choose between User Defined or devices from the list (e.g. CX0027E8: 5.0.39.232.1.1).

  • Device from the list: All devices in the are defined in the AMS router of TwinCAT. When you select a device defined in the list, then the AmsServerNetId (2) will automatically be entered. Now you have to type in the AdsPort (3), which you have written down in step 1. This has to be done, because the CX can use different addresses for the AdsPort. In our e.g. it would be the address "28928" instead of "100". Click onto Test... (4) to check your entries.
  • User Defined: Select User Defined, if the device you want to connect is not entered in TwinCAT. Then you have to type in manually the AmsSerNetId (2) and AdsPort (3). When you are finished click onto Test... (4) to check your entries.

step 4: The test was successful, when you get this message. Click OK to close the message box.

step 5: Click OK to save the settings.

step 6: Go online.


How to get on/off line

KS2000: Configuration and diagnostics software

How to get online and offline?

There are two ways to get on/off line.

To get online:

Select from the tool bar the Login button.

click the Login button

step 1: click on Online in the menu bar.

step 2: click Login.

Online screen when a bus terminal is connected

Online screen when a fieldbus box is connected

To get offline:

Select from the tool bar the Logout button.

click the Logout button

step 1: click on Online in the menu bar.

step 2: click Logout.


About the Coupler service menu

There are two ways to enter the coupler services.

Select from the tool bar the coupler service button.

click the coupler service button

step 1: click on Online in the menu bar.

step 2: hover onto Coupler and click Services.

Coupler Service menu:

Write protection set: enables the write protection of the coupler

Write protection abolished: disables the write protection of the coupler

Reset KBus: does a K-bus reset

Factory settings: does a software reset to default settings

Get Checksum: does a checksum test

Reboot: does a hardware reset and reboot

Click Exit to leave the coupler service menu.


How to do a coupler software update?

Always consider, before you do a software update "Never touch a running system! ! !" The update should be done by major problems with the coupler and than only in accord with Beckhoff.

step 1: click Online.

step 2: hover onto Coupler and click Firmware Update...

step 3: choose the file and click open (öffnen). (example filename: BC9000B900.hex)

step 4: The following menu will appear. If you have chosen the wrong file click Select... otherwise click Start.

Don't do anything while the update process is running.

step 5: the update process is completed. click OK


How to write a script into a coupler or controller?

Let me first discuss "Why script writing?" If you use standard configurations for your coupler or controller, than script writing is a feature that can save you time and money. Because with a few clicks, you can do the configuration the way you want to have it.

step 1: click Online

step 2: hover onto Coupler and click Script-Init...

step 3: choose a script file and click open (öffnen). (example file: TemplateScriptCoupler.xml)

step 4: the following menu will appear. If you have chosen the wrong file (1) click Select... (2)

step 5: click start

step 5: the process is completed. click OK (JA)

step 6: Click Exit to leave the menu.

Note :

Devices require reboot to enable new settings, so please power cycle the station.

For definition of the schema of script-file for buscontrollers and buscouplers see sample file under "...\KS2000\Resource\Scripts\Coupler\TemplateScriptCoupler.xml"


BC9000 Security settings

KS2000: Configuration and diagnostics software

BC9000 Security settings (IP/UDP)

The Security settings are used for the restriction to access a BC9000 inside a network. With the restriction you can define a maximum of 10 computers, which have the permission to access the BC9000. The required settings can only be done via a serial connection.

Configuration

step 1: Double click Fieldbus: Security settings

step 2: On the right hand a list of computers will open, which have the permission to access. These computers are identified via their IP address.

step 3: Click Clean all to define no restrictions to access a BC9000.

step 4: Changing entries

Device Name: Choose a device name from the list (PC 1 bis PC 10). This is only a synonym and must not be the name of a computer inside the network.
IP address: Type in the IP address of the computer, which shall get the permission to access.

The Remove button removes a selected computer from the list. The Add button adds a computer to the list.

You have to reboot after you did changes like Clean all, Remove or Add. Click Yes (Ja) to rebooten.


How to write a script into a terminal?

Let me first discuss "Why script writing?" If you use standard configurations for your terminals, than script writing is a feature that can save you time and money. Because with a few clicks, you can do the configuration for all your terminals.

step 1: click Online

step 2: hover onto Terminal and click Script-Init...

step 3: choose a script file and click open (öffnen). (example file: TemplateScriptTerm.xml)

step 4: the following menu will appear. If you have chosen the wrong file (1) click Select... (2)

step 5: choose the start (3) and the end (4) terminal where the script should be written in.

step 6: click start

step 6: Click Exit to leave the menu.

Note :

Some terminals require reboot to enable new settings, so please power cycle the station.

For definition of the schema of script-file for terminals see sample file under "...\KS2000\Resource\Scripts\Coupler\TemplateScriptTerm.xml"


How to export a terminal script?

The export feature is a needful tool to save the register of a terminal into a script file.

Exception: Not every terminal provides the export feature. Only terminals who have a microprocessor are able to exchange bidirectional data with the higher-level control system.

step 1: click onto Reports - Terminal:Register Documentation

step 2: with the up/down button you can choose the Terminal you want to save

step 3: tick the Channel you want to save

step 4: with the up/down button you can choose the beginning and ending of the Register you want to save

step 5: with a tick you can choose the Target where you want to save the file to

  • Save in xml file (click Set target file for a easier handling)
  • Send as email
  • Copy to clipboard

step 6: click Start export

Don't do anything while the export process is running.


How to save a terminal station

KS2000: Configuration and diagnostics software

How to save a terminal station?

The Save station-sttings in file... feature can be used to save a complete terminal station.

step 1: Double click Save station-settings in file...

step 2: The following window will open.

1) You can change the target folder if you want to.

2) Change the file name into a suitable name, which makes it easier for you to bring the file in relation to the hardware you want to save.

3) Click Save (Speichern).

step 3: Now the export process starts.

1) Shows you the progress status. During the export progress the Close Button is blanked out.

2) With the scoll bar you can scroll through the protocoll.

When you are finished click Close to close the window.


How to restore a terminal station

KS2000: Configuration and diagnostics software

How to restore a terminal station?

The Restore station-settings from file... can upload the total terminal station setting.

step 1: Double click Restore station-settings from file...

step 2: The following window will open.

1) Select the folder where you have saved your configuration file.

2) Select the configuration file. (e.g. Backup.xml)

3) Click Open (Öffnen).

step 3: The following window will open. If you click onto the "+" more selections are possibel. Please have a look onto the next picture to get an better idea.

By selecting or deselecting the box you can decide, which information is getting saved. When your selection is finished click OK.

step 4: Now the export process starts.

1) Shows you the progress status. During the export progress the Close Button is blanked out.

2) With the scoll bar you can scroll through the protocoll.

When you are finished click Close to close the window.


Convert script files

BECKHOFF KS2000 - General dialogs

How to convert script files?

Why to do a conversion?

In the older version of KS2000 (version 3) the settings where saved into two file formats (*.csi and *.tsi). Since version 4, we only have one format (*.xml) for all coupler and terminal settings. This makes it easier to handle the files.

The function Conversion of scipt files in XML... gives you the possebility to transfer the old format into the new format to use your old backup also for the future.

step 1: Click onto Online in the menu bar

step 2: Click Conversion of scipt files in XML...

step 3: When the following window opens, you have the choice between the conversion of terminal and coupler script files.

  • terminal script files (*.tsi)
  • coupler script files (*.csi)

In the e.g. we will show you how to tansfer a terminal script file. The procedure of a coupler script file conversion is the same.

Click onto Open terminal script file V3 (*.tsi) (1).

step 4: The following window will open. Select the file you want to transfer and click open. (e.g: Script_T.TSI)

step 5: In (3) you can see the already transfered script file. Click Save terminal script file V4 (*.xml) (4) to save the file.

step 6: The following window will open. Select the format Terminal script XML(*.xml). Now you have to decide about the name (file name) and the place (folder) to save the file. When you are finished click onto Save.

To close the dialog you have to click Exit.


AMS Router

The AMS router administered the TCP/IP connections to other target systems.

step 1: Click onto Options in the menu bar.

step 2: Hover onto Communication channel and click onto via ADS...

step 3: The following menu will open. Devices, which already had been configured in TwinCAT AMS Router, will be shown in the list. Manually, you can add new devices by entering their Name, AmsNetId and IP-Adress and click on Save.

Name

Name of the target system.

AmsNetID

AmsNetId of the target system

IP-Adress

Address of the target system. These are depending on the transfer protocol you are using. Next to TCP/IP also Profibus and other devices, which support the ADS protocol are possible.

Save

Saves the entries into the list of Remote Devices.

Also have a look in TwinCAT AMS Router


How to make and delete XML device files?

This option should only be used when after the login when a terminal has not been detected correctly. When it is activated, then while the login process the old files are getting deleted and the new files written. This causes a delay during the booting.

step 1: To activate or deactivate the option you have to click onto Options in the menu bar.

step 2: Click onto Create new XML device files.

It is activated, when the following popup window will open during the login. You now either have the choice to click OK to delete the old files or to click cancel to keep the old files.

To edit or delete the files manually you have to change into the corresponding folder. In a standard installation of KS2000 this folder can be found in C:\Programs\KS2000_V4\Resource\Devices. If you chose a different installation folder, then you have to search for "...KS2000_V4\Resource\Devices".


General settings (bus coupler)

Process image aktiv:

You can run a maximum of 4 process images depending on the bus coupler. Each process image has it's own menu to do the configuration. With a tick in the check box "process image activ" you can activate the process image.

Auto-configuration:

During the boot process, the bus coupler is creating the I/O process image of the connected bus terminals. With a tick in the check box, the auto-configuration can be activated. If it is deactivated, the bus coupler is booting with a configurated process image of the bus terminals defined at "programmed configuration".

Analysis of complex bus terminals:

Beckhoff provides a wide product range of different bus terminals to control sensors and actors. In general you can differentiate between digital and complex bus terminals. Each bus terminal that is exchanging byte information with a bus coupler is belonging to the group of complex bus terminals. This could be for example analogue but terminals, communication bus terminals or incemental encoder. With a tick in the check box "analysis complex terminals" you can activat the analysis which means, each complex bus terminal connected to this coupler is sending all its data. Example: A KL3002 would also send the control and status byte. Further information about the complex bus terminals you will get from the specific documentation.

Motorola complex bus terminals:

This option is needed to select the required process image. With a tick in the check box you select the Motorola format without, you select the Intel format. The Motorola format is using the high data byte of the word at the lowest adress offset of the storage space. By using the Intel format it is the other way around.

e.g.:
Adress Offset High Byte Low Byte
Motorola Format: $0 D0 D1
Intel Format $0 D1 D0

Motorola-Format (digital bus terminals):

By selecting the Motorola format with digital bus terminals, the high byte together with the low byte of two back-to-back "digital bytes" are getting twisted (in consumtion 16 consecutive digital channels).

Word Alignment:

By selecting "word alignment" you define the length of a word (even byte adress) in the memory of the process image.

Free run input image:

The bus coupler is exchanging the process image of input bus terminals automatically. The free run of the process image asynchronous to the field bus.

Free run output image:

The bus coupler does an automatic asynchronous exchanging of the output terminal's process image. A synchronization with the field bus does not taken place, wich can lead to an inconsistency of the bus coupler data (e.g. BK2000).


Controller: Common settings

Nov Ram active:

If checked, retain data (VAR_GLOBAL RETAIN var1 AT%MB… END_VAR) gets copied to the NOVRAM of the BC/BX controller.

Store BC Controller State in Memory:

If this box is checked, the K-Bus and fieldbus status informations get copied into the memory area (%MB…) of the BC/BX controller. See Beckhoff Information System: "GetFBusStatus" resp. "GetTBusStatus".

Compare terminal configuration:

The Bus Terminal configuration gets stored during boot project creation. If the physical Bus Terminal configuration gets changed after boot project creation, the boot project wouldn't start. If this box is unchecked, the boot project would start even with changed hardware configuration [default = checked].

Ams block confirmation:

If a TwinCAT version >= 2.9 gets used, this box needs to be checked for compatibility reasons.

Read system clock:

The cycle tick counter gets copied into the memory range (%MB…) of the BC/BX controller. See Beckhoff Information System: "GetSysTick"

Clear outputs on breakpoint:

Outputs get cleared when the PLC program hits a Breakpoint.

PLC terminal bus update:

ICO: inputs get read prior to the PLC cycle. Outputs get written after the PLC cycle [default].
IOC: inputs get read and outputs get written prior to the PLC cycle.
CIO: inputs get read and outputs get written after the PLC cycle.

Offset PLC-input in fieldbus interface:

Fieldbus input data are mapped starting from PLC variable offset (Default %IX128)

Length PLC-inputimage in fieldbus interface:

Length of fieldbus input data (Default 16 Byte)

Offset PLC-output in fieldbus interface:

Fieldbus output data are mapped starting from PLC variable offset (Default %QX128)

Length PLC-outputimage in fieldbus interface:

Length of fieldbus output data (default 16 Byte)

Number of remanent bytes:

Number of remanent data (default 64 - %MB0-%MB63)

PLC cycle time [ms]:

PLC cycle time (default BCxx00 : 5 ms, BC9000 : 20 ms)

PLC background time [ms]:

PLC background time (Default BCxx00 : 2 ms, BC9000 : 10 ms)

Enable cycletime measurement :

With this checkbox, the cycle time measurement on the BC/BX can be activated.

Minimal PLC cycletime [ms]:

Displays the min. measured PLC cycle time of the controller.

Maximal PLC cycletime [ms]:

Displays the max. measured PLC cycle time of the controller.

Current PLC cycletime [ms]:

Displays the currently measured PLC cycle.

Average PLC cycletime [ms]:

Displays the average PLC cyle time (average cycle time of the last 200 measurements) of the BC/BX controller.


KS2000: Configuration and diagnostics software

Firmware Update


Bus Coupler initialisation script

Having to select the high-level dialogues or register dialogues for parameterising couplers in the same way can be rather tedious.
Like for Bus Terminal initialisation, a script is available for parameterising all Bus Coupler settings in one go. Please select a coupler script file (*.XML) under "Online->Coupler->Initialisation script".

Press "Start" to load the settings into the terminal station. A log is displayed for monitoring purposes.

The Bus Coupler has to be rebooted in order to activate the new parameters.

The structure of the Bus Coupler initialisation script file is described in the sample file located at "...\KS2000\Resource\Scripts\Coupler\TemplateScriptCoupler.xml".


Bus Terminal initialisation script

Having to select the high-level dialogues or register dialogues for parameterising a large number of terminals in the same way can be rather tedious.

An initialisation script is available for parameterising all terminals in one go. Please select a Bus Terminal script file (*.XML) under "Online->Terminal->Initialisation script.

The terminals to be parameterised in this way are specified in the initialisation script dialogue.

Press "Start" to load the settings into the terminal station. A log is displayed for monitoring purposes.

Remark: The Bus Coupler may have to be rebooted in order to activate the new parameters. If the byte size for KL60xx serial Bus Terminals is changed in the process image, for example, the new parameter will not be applied until the Bus Coupler is rebooted.

The structure of the initialisation script file (->the XML schema) for Bus Terminals is described in the sample file located at "...\KS2000\Resource\Scripts\Terminal\TemplateScriptTerm.xml".